# coding: Shift_JIS

# ##############################

# ファイル名: indent.py
# 機能: 中括弧に応じてインデントのタブ文字を付与する．
# 関数: indent
# 著者名: 山本椋太，若林丈紘

# ##############################

#from parse import *
import re
import sys

# ##############################

# 関数名: indent
# 機能: 中括弧に応じてインデントのタブ文字を付与する．
# 引数
#   readlines: 解析対象のcファイル
#   writeFile: 解析対象のcファイル

# ##############################

def indent(readFile,writeFile):

    fi = open(readFile)
    lines = fi.readlines()
    fi.close()

    fo = open(writeFile,"w")
    indent_cnt = 0
    i = 0
    for line in lines:
        lines[i] = line.replace("\t","")
        i += 1

    for line in lines:
        if "}" in line:
            indent_cnt -= 1
        if indent_cnt >= 0:
            for i in range(0,indent_cnt):
                print("\t",end="",file=fo)
            print(line,end="",file=fo)
        else:
            indent_cnt += 1
        if "{" in line:
            indent_cnt += 1
    fo.close()

if __name__ == '__main__':
    indent(sys.argv[1],sys.argv[2])
